await seam.accessCodes.unmanaged.list({
device_id: "d885a24c-5741-49b1-85dc-ff6d5cf2f1b1",
});
/*
[
{
"access_code_id": "88fa1812-bef8-4108-9fb4-4855376c3edf",
"code": "1234",
"created_at": "2025-06-16T16:54:17.946283Z",
"device_id": "d885a24c-5741-49b1-85dc-ff6d5cf2f1b1",
"ends_at": "2025-06-23T16:54:17.946261Z",
"errors": [],
"is_managed": false,
"name": "My Unmanaged Access Code",
"starts_at": "2025-06-21T16:54:17.946261Z",
"status": "set",
"type": "time_bound",
"warnings": [],
"workspace_id": "750fc0bc-4450-4356-8d9f-18c6a3a6b2c7"
}
]
*/{
"access_codes": [
{
"access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_status": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_managed": false,
"name": "<string>",
"status": "set",
"type": "time_bound",
"warnings": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cannot_be_managed": true,
"cannot_delete_unmanaged_access_code": true,
"dormakaba_oracode_metadata": {
"is_cancellable": true,
"is_early_checkin_able": true,
"is_extendable": true,
"is_overridable": true,
"site_name": "<string>",
"stay_id": 123,
"user_level_id": "<string>",
"user_level_name": "<string>"
},
"ends_at": "2023-11-07T05:31:56Z",
"starts_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"has_next_page": true,
"next_page_cursor": "<string>",
"next_page_url": "<string>"
}
}Unmanaged Access Codes
List Unmanaged Access Codes
Returns a list of all unmanaged access codes.
GET
/
access_codes
/
unmanaged
/
list
await seam.accessCodes.unmanaged.list({
device_id: "d885a24c-5741-49b1-85dc-ff6d5cf2f1b1",
});
/*
[
{
"access_code_id": "88fa1812-bef8-4108-9fb4-4855376c3edf",
"code": "1234",
"created_at": "2025-06-16T16:54:17.946283Z",
"device_id": "d885a24c-5741-49b1-85dc-ff6d5cf2f1b1",
"ends_at": "2025-06-23T16:54:17.946261Z",
"errors": [],
"is_managed": false,
"name": "My Unmanaged Access Code",
"starts_at": "2025-06-21T16:54:17.946261Z",
"status": "set",
"type": "time_bound",
"warnings": [],
"workspace_id": "750fc0bc-4450-4356-8d9f-18c6a3a6b2c7"
}
]
*/{
"access_codes": [
{
"access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_status": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_managed": false,
"name": "<string>",
"status": "set",
"type": "time_bound",
"warnings": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cannot_be_managed": true,
"cannot_delete_unmanaged_access_code": true,
"dormakaba_oracode_metadata": {
"is_cancellable": true,
"is_early_checkin_able": true,
"is_extendable": true,
"is_overridable": true,
"site_name": "<string>",
"stay_id": 123,
"user_level_id": "<string>",
"user_level_name": "<string>"
},
"ends_at": "2023-11-07T05:31:56Z",
"starts_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"has_next_page": true,
"next_page_cursor": "<string>",
"next_page_url": "<string>"
}
}Authorizations
client_sessionclient_session_with_customerclient_session_with_customer_ropat_with_workspaceconsole_session_with_workspaceapi_keysupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the device for which you want to list unmanaged access codes.
Your user ID for the user by which to filter unmanaged access codes.
Minimum string length:
1Numerical limit on the number of unmanaged access codes to return.
String for which to search. Filters returned access codes to include all records that satisfy a partial match using name, code or access_code_id.
Minimum string length:
1Identifies the specific page of results to return, obtained from the previous page's next_page_cursor.
Was this page helpful?